Name:           lua-alt-getopt
Version:        0.8.0
Release:        %mkrel 5
Summary:        Argument processing module for Lua
Group:          Development/Other

# license text requested from upstream:
# http://luaforge.net/tracker/index.php?func=detail&aid=47674
License:        MIT
URL:            https://github.com/cheusov/lua-alt-getopt
Source0:        https://github.com/cheusov/lua-alt-getopt/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(lua)

%description
alt-getopt is a module for Lua programming language for processing
application's arguments the same way BSD/GNU getopt_long(3) functions
do. The main goal is compatibility with SUS "Utility Syntax
Guidelines" guidelines 3-13.


%prep
%setup -q


%build
#nothing

%install
mkdir -p $RPM_BUILD_ROOT%{lua_pkgdir}
cp -p alt_getopt.lua $RPM_BUILD_ROOT%{lua_pkgdir}


%check
# This test routine assumes identical output,
# in identical order. This is a false assumption.
# At least in lua 5.2, the output is identical
# but the order is not (it seems to be random or
# timing driven).
%if 0

bmake test

%endif

%files
%doc NEWS README
%{lua_pkgdir}/alt_getopt.lua


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.8.0-5.mga9
+ Revision: 1814333
- Mageia 9 Mass Rebuild

* Sun Apr 04 2021 wally <wally> 0.8.0-4.mga9
+ Revision: 1713359
- rebuild for lua 5.4

* Sun Mar 28 2021 wally <wally> 0.8.0-3.mga9
+ Revision: 1711540
- build with latest lua

* Tue Feb 11 2020 umeabot <umeabot> 0.8.0-2.mga8
+ Revision: 1490837
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 shlomif <shlomif> 0.8.0-1.mga8
+ Revision: 1488925
- New version 0.8.0

* Tue Sep 18 2018 umeabot <umeabot> 0.7.0-2.mga7
+ Revision: 1262436
- Mageia 7 Mass Rebuild

* Wed Jan 06 2016 shlomif <shlomif> 0.7.0-1.mga6
+ Revision: 919996
- Importing from Fedora. Thanks!


* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 15 2015 Tom Callaway <spot@fedoraproject.org> - 0.7.0-8
- lua 5.3

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 10 2013 Tom Callaway <spot@fedoraproject.org> - 0.7.0-5
- lua 5.2
- disabled tests

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Aug 16 2011 Michel Salim <salimma@fedoraproject.org> - 0.7.0-1
- Initial package
